def is_valid_cube(nums):
    pair_sums = {}
   
    for i in range(6):
        for j in range(i + 1, 6):
            pair_sum = nums[i] + nums[j]
            if pair_sum in pair_sums:
                prev_i, prev_j = pair_sums[pair_sum]
                if len(set([i, j, prev_i, prev_j])) == 4:
                    return True
            else:
                pair_sums[pair_sum] = (i, j)
   
    return False

def main():
    import sys
    input = sys.stdin.read
    data = input().splitlines()
  
    n = int(data[0])
    results = []
  
    for i in range(1, n + 1):
        nums = list(map(int, data[i].split()))
        if is_valid_cube(nums):
            results.append("yes")
        else:
            results.append("no")
  
    sys.stdout.write("\n".join(results) + "\n")

if __name__ == "__main__":
    main()