def find_path(a, b):
    path = []
    p, q = 1, 1  # Начало с корня дерева 1/1

    while (p, q) != (a, b):
        # Если дробь меньше текущей, идем влево
        if a * q < b * p:
            path.append('L')
            q = p + q  # Обновляем знаменатель
        # Если дробь больше текущей, идем вправо
        else:
            path.append('R')
            p = p + q  # Обновляем числитель

    return ''.join(path)

def main():
    import sys
    input_data = sys.stdin.read().strip()
    a, b = map(int, input_data.split())

    # Проверка, возможно ли получить дробь
    if b == 0 or a == 0:
        print("Impossible")
        return

    print(find_path(a, b))

if __name__ == "__main__":
    main()